diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/helper/csv-reader.cc ns-3.47/src/core/helper/csv-reader.cc
--- ns-3.46/src/core/helper/csv-reader.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/helper/csv-reader.cc	2026-02-16 16:08:49.579229800 -0800
@@ -10,13 +10,10 @@
 
 #include "ns3/log.h"
 
-#include <algorithm>
 #include <cctype>
 #include <fstream>
-#include <iterator>
 #include <limits>
 #include <sstream>
-#include <vector>
 
 /**
  * @file
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/ascii-file.cc ns-3.47/src/core/model/ascii-file.cc
--- ns-3.46/src/core/model/ascii-file.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/ascii-file.cc	2026-02-16 16:08:49.580229800 -0800
@@ -11,7 +11,6 @@
 #include "ascii-file.h"
 
 #include "assert.h"
-#include "fatal-error.h"
 #include "fatal-impl.h"
 
 #include <iostream>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/attribute.cc ns-3.47/src/core/model/attribute.cc
--- ns-3.46/src/core/model/attribute.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/attribute.cc	2026-02-16 16:08:49.580229800 -0800
@@ -7,12 +7,9 @@
  */
 #include "attribute.h"
 
-#include "fatal-error.h"
 #include "log.h"
 #include "string.h"
 
-#include <sstream>
-
 /**
  * @file
  * @ingroup attributes
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/attribute-container.h ns-3.47/src/core/model/attribute-container.h
--- ns-3.46/src/core/model/attribute-container.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/attribute-container.h	2026-02-16 16:08:49.580229800 -0800
@@ -23,7 +23,7 @@
 namespace ns3
 {
 
-/*!
+/**
  * @ingroup attributes
  * @addtogroup attribute_AttributeContainer AttributeContainer Attribute
  * AttributeValue implementation for AttributeContainer
@@ -187,7 +187,7 @@
     container_type m_container; //!< Internal container
 };
 
-/*!
+/**
  * @ingroup attribute_AttributeContainer
  *
  * @class  ns3::AttributeContainerChecker "attribute-container.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/boolean.cc ns-3.47/src/core/model/boolean.cc
--- ns-3.46/src/core/model/boolean.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/boolean.cc	2026-02-16 16:08:49.580229800 -0800
@@ -7,7 +7,6 @@
  */
 #include "boolean.h"
 
-#include "fatal-error.h"
 #include "log.h"
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/calendar-scheduler.cc ns-3.47/src/core/model/calendar-scheduler.cc
--- ns-3.46/src/core/model/calendar-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/calendar-scheduler.cc	2026-02-16 16:08:49.581229700 -0800
@@ -11,13 +11,11 @@
 
 #include "assert.h"
 #include "boolean.h"
-#include "event-impl.h"
 #include "log.h"
 #include "type-id.h"
 
 #include <list>
 #include <string>
-#include <utility>
 
 /**
  * @file
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/callback.h ns-3.47/src/core/model/callback.h
--- ns-3.46/src/core/model/callback.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/callback.h	2026-02-16 16:08:49.581229700 -0800
@@ -339,6 +339,9 @@
  * @ingroup callbackimpl
  * Base class for Callback class.
  * Provides pimpl abstraction.
+ *
+ * Inheritance graph was not generated because of its size.
+ * @hideinheritancegraph
  */
 class CallbackBase
 {
@@ -416,6 +419,9 @@
  *
  * @tparam R \explicit The return type of the Callback.
  * @tparam UArgs \explicit The types of any arguments to the Callback.
+ *
+ * Inheritance graph was not generated because of its size.
+ * @hideinheritancegraph
  */
 template <typename R, typename... UArgs>
 class Callback : public CallbackBase
@@ -661,11 +667,13 @@
 }
 
 /**
+ * @ingroup callback
+ * Build Callbacks for class method members which take varying numbers
+ * of arguments and potentially returning a value.
  * @{
  */
 /**
- * Build Callbacks for class method members which take varying numbers
- * of arguments and potentially returning a value.
+ * Build Callbacks for class method members
  *
  * @tparam T   \deduced Type of the class having the member function.
  * @tparam OBJ \deduced Type of the class instance.
@@ -675,9 +683,7 @@
  * @param [in] memPtr Class method member pointer
  * @param [in] objPtr Class instance
  * @return A wrapper Callback
- *
- * Build Callbacks for class method members which take varying numbers of arguments
- * and potentially returning a value.
+ * @hidecaller
  */
 template <typename T, typename OBJ, typename R, typename... Args>
 Callback<R, Args...>
@@ -697,13 +703,14 @@
 
 /**
  * @ingroup callback
+ * Build Callbacks for functions which take varying numbers of arguments
+ * and potentially returning a value.
+ *
  * @tparam R   \deduced Return type of the callback function..
  * @tparam Args  \deduced Type list of any arguments to the member function.
  * @param [in] fnPtr Function pointer
  * @return A wrapper Callback
- *
- * Build Callbacks for functions which take varying numbers of arguments
- * and potentially returning a value.
+ * @hidecaller
  */
 template <typename R, typename... Args>
 Callback<R, Args...>
@@ -714,13 +721,13 @@
 
 /**
  * @ingroup callback
- * @tparam R   \deduced Return type of the callback function..
- * @tparam Args  \deduced Type list of any arguments to the member function.
- * @return A wrapper Callback
- *
  * Build null Callbacks which take no arguments,
  * for varying number of template arguments,
  * and potentially returning a value.
+ * @tparam R   \deduced Return type of the callback function..
+ * @tparam Args  \deduced Type list of any arguments to the member function.
+ * @return A wrapper Callback
+ * @hidecaller
  */
 template <typename R, typename... Args>
 Callback<R, Args...>
@@ -739,6 +746,7 @@
  * @param [in] fnPtr Function pointer
  * @param [in] bargs Bound arguments
  * @return A bound Callback
+ * @hidecaller
  */
 template <typename R, typename... Args, typename... BArgs>
 auto
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/command-line.cc ns-3.47/src/core/model/command-line.cc
--- ns-3.46/src/core/model/command-line.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/command-line.cc	2026-02-16 16:08:49.581229700 -0800
@@ -9,7 +9,6 @@
 #include "command-line.h"
 
 #include "config.h"
-#include "des-metrics.h"
 #include "environment-variable.h"
 #include "global-value.h"
 #include "log.h"
@@ -21,11 +20,16 @@
 #include "version.h"
 #endif
 
+#ifdef ENABLE_DES_METRICS
+#include "des-metrics.h"
+#endif
+
 #include <algorithm> // transform
 #include <cctype>    // tolower
 #include <cstdlib>   // exit
 #include <cstring>   // strlen
-#include <iomanip>   // setw, boolalpha
+#include <fstream>
+#include <iomanip> // setw, boolalpha
 #include <set>
 #include <sstream>
 
@@ -473,7 +477,7 @@
 
     std::fstream os(outf, std::fstream::out);
 
-    os << "/**\n \\file " << m_shortName << ".cc\n"
+    os << "/**\n @file " << m_shortName << ".cc\n"
        << "<h3>Usage</h3>\n"
        << "<code>$ ./ns3 run \"" << m_shortName << (!m_options.empty() ? " [Program Options]" : "")
        << (!nonOptions.empty() ? " [Program Arguments]" : "") << "\"</code>\n";
@@ -501,12 +505,12 @@
 
     if (!m_options.empty())
     {
-        listOptions("Program Options", m_options, "\\c --");
+        listOptions("Program Options", m_options, "@c --");
     }
 
     if (!nonOptions.empty())
     {
-        listOptions("Program Arguments", nonOptions, "\\c ");
+        listOptions("Program Arguments", nonOptions, "@c ");
     }
 
     os << "*/" << std::endl;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/command-line.h ns-3.47/src/core/model/command-line.h
--- ns-3.46/src/core/model/command-line.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/command-line.h	2026-02-16 16:08:49.581229700 -0800
@@ -120,7 +120,7 @@
  * @verbatim
    --SchedulerType=HeapScheduler \endverbatim
  *
- * A simple example of CommandLine is in `src/core/example/``command-line-example.cc`
+ * A simple example of CommandLine is in `src/core/example/command-line-example.cc`
  * See that file for an example of handling non-option arguments.
  *
  * The heart of that example is this code:
@@ -142,7 +142,7 @@
  *    cmd.Parse (argc, argv);
  * @endcode
  * after which it prints the values of each variable.  (The \c SetCbArg function
- * is not shown here; see `src/core/example/``command-line-example.cc`)
+ * is not shown here; see `src/core/example/command-line-example.cc`)
  *
  * Here is the output from a few runs of that program:
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/config.h ns-3.47/src/core/model/config.h
--- ns-3.46/src/core/model/config.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/config.h	2026-02-16 16:08:49.581229700 -0800
@@ -76,6 +76,8 @@
  * This method overrides the initial value of the
  * matching attribute. This method cannot fail: it will
  * crash if the input attribute name or value is invalid.
+ *
+ * @hidecaller
  */
 void SetDefault(std::string name, const AttributeValue& value);
 /**
@@ -115,6 +117,8 @@
  * to them.  If no matching trace sources are found, this method will
  * throw a fatal error.  Use ConnectWithoutContextFailSafe if the absence
  * of matching trace sources should not be fatal.
+ *
+ * @hidecaller
  */
 void ConnectWithoutContext(std::string path, const CallbackBase& cb);
 /**
@@ -149,6 +153,8 @@
  * If no matching trace sources are found, this method will
  * throw a fatal error.  Use ConnectFailSafe if the absence
  * of matching trace sources should not be fatal.
+ *
+ * @hidecaller
  */
 void Connect(std::string path, const CallbackBase& cb);
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/default-simulator-impl.cc ns-3.47/src/core/model/default-simulator-impl.cc
--- ns-3.46/src/core/model/default-simulator-impl.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/default-simulator-impl.cc	2026-02-16 16:08:49.581229700 -0800
@@ -13,8 +13,6 @@
 #include "scheduler.h"
 #include "simulator.h"
 
-#include <cmath>
-
 /**
  * @file
  * @ingroup simulator
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/deprecated.h ns-3.47/src/core/model/deprecated.h
--- ns-3.46/src/core/model/deprecated.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/deprecated.h	2026-02-16 16:08:49.581229700 -0800
@@ -85,6 +85,13 @@
 
 /**
  * @ingroup deprecation
+ * @def NS_DEPRECATED_3_47
+ * Tag for things deprecated in version ns-3.47.
+ */
+#define NS_DEPRECATED_3_47(msg) NS_DEPRECATED("Deprecated in ns-3.47: " msg)
+
+/**
+ * @ingroup deprecation
  * @def NS_DEPRECATED_3_46
  * Tag for things deprecated in version ns-3.46.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/des-metrics.h ns-3.47/src/core/model/des-metrics.h
--- ns-3.46/src/core/model/des-metrics.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/des-metrics.h	2026-02-16 16:08:49.582229900 -0800
@@ -85,7 +85,7 @@
  * Some useful shell pipelines:
  *
  * \li Run everything, retaining the results directory: <br/>
- *   @code  ./test.py --nobuild --retain \endcode
+ *   @code  ./test.py --no-build --retain \endcode
  * \li Example traces end up in \c testpy-output/, so move there: <br/>
  *   @code cd testpy-output/$(date +"%F")*_/  \endcode
  *   (Remove the `_', which is to work around a Doxygen limitation.)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/enum.h ns-3.47/src/core/model/enum.h
--- ns-3.46/src/core/model/enum.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/enum.h	2026-02-16 16:08:49.582229900 -0800
@@ -173,6 +173,8 @@
  * @param [in] v  The default enum value.
  * @param [in] n  The corresponding name.
  * @param [in] args Any additional arguments.
+ *
+ * @hidecaller
  */
 template <typename T, typename... Ts>
 Ptr<const AttributeChecker>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/environment-variable.cc ns-3.47/src/core/model/environment-variable.cc
--- ns-3.46/src/core/model/environment-variable.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/environment-variable.cc	2026-02-16 16:08:49.582229900 -0800
@@ -10,10 +10,8 @@
 
 #include "string.h"
 
-#include <cstdlib>  // std::getenv
-#include <cstdlib>  // Global functions setenv, unsetenv
-#include <cstring>  // strlen
-#include <iostream> // clog
+#include <cstdlib> // Global functions std::getenv, setenv, unsetenv
+#include <cstring> // strlen
 
 /**
  * @file
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/environment-variable.h ns-3.47/src/core/model/environment-variable.h
--- ns-3.46/src/core/model/environment-variable.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/environment-variable.h	2026-02-16 16:08:49.582229900 -0800
@@ -123,7 +123,7 @@
          * \p delim character.  Keys may be assigned values by following
          * the key with the `=` character; any remaining text up to the next
          * delimiter will be taken as the value.  If no `=`
-         * is given the enpty string will be stored as the value.
+         * is given the empty string will be stored as the value.
          *
          * @param [in] envvar The environment variable.
          * @param [in] delim The delimiter between key,value pairs.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/event-id.h ns-3.47/src/core/model/event-id.h
--- ns-3.46/src/core/model/event-id.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/event-id.h	2026-02-16 16:08:49.582229900 -0800
@@ -9,6 +9,7 @@
 #define EVENT_ID_H
 
 #include "event-impl.h"
+#include "nstime.h"
 #include "ptr.h"
 
 #include <stdint.h>
@@ -110,19 +111,18 @@
     /**@}*/
 
     /**
+     * @name Comparison operators
+     * @{
+     */
+
+    /**
      * Test if two EventId's are equal.
      * @param [in] a The first EventId.
      * @param [in] b The second EventId.
      * @return \c true if the \pname{a} and \pname{b} represent the same event.
      */
     friend bool operator==(const EventId& a, const EventId& b);
-    /**
-     * Test if two EventId's are not equal.
-     * @param [in] a The first EventId.
-     * @param [in] b The second EventId.
-     * @return \c true if the \pname{a} and \pname{b} are not the same event.
-     */
-    friend bool operator!=(const EventId& a, const EventId& b);
+
     /**
      * Less than operator for two EventId's, based on time stamps.
      * @param [in] a The first EventId.
@@ -131,6 +131,27 @@
      */
     friend bool operator<(const EventId& a, const EventId& b);
 
+    /**
+     * Compare a Time to an EventId.
+     *
+     * This is useful when you have cached a previously scheduled event:
+     *
+     *     m_event = Schedule (...);
+     *
+     * and later you want to know the relationship between that event
+     * and some other Time `when`:
+     *
+     *     if (when < m_event) ...
+     *
+     * @param [in] time The Time operand.
+     * @param [in] event The EventId
+     * @returns \c true if \p time is before (less than) the
+     *          time stamp of the EventId.
+     */
+    friend bool operator<(const Time& time, const EventId& event);
+
+    /**@}*/ // Comparison operators
+
   private:
     Ptr<EventImpl> m_eventImpl; /**< The underlying event implementation. */
     uint64_t m_ts;              /**< The virtual time stamp. */
@@ -150,17 +171,22 @@
 }
 
 inline bool
-operator!=(const EventId& a, const EventId& b)
+operator<(const EventId& a, const EventId& b)
 {
-    return !(a == b);
+    return (a.GetTs() < b.GetTs());
 }
 
 inline bool
-operator<(const EventId& a, const EventId& b)
+operator<(const Time& time, const EventId& event)
 {
-    return (a.GetTs() < b.GetTs());
+    // Negative Time is less than any possible EventId, which are all >= 0.
+    if (time.IsStrictlyNegative())
+    {
+        return true;
+    }
+    // Time must be >= 0 so casting to unsigned is safe.
+    return static_cast<uint64_t>(time.GetTimeStep()) < event.GetTs();
 }
-
 } // namespace ns3
 
 #endif /* EVENT_ID_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/example-as-test.cc ns-3.47/src/core/model/example-as-test.cc
--- ns-3.46/src/core/model/example-as-test.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/example-as-test.cc	2026-02-16 16:08:49.582229900 -0800
@@ -9,13 +9,11 @@
 #include "example-as-test.h"
 
 #include "ascii-test.h"
-#include "assert.h"
 #include "environment-variable.h"
 #include "fatal-error.h"
 #include "log.h"
 
 #include <cstdlib> // itoa(), system ()
-#include <cstring>
 #include <sstream>
 #include <string>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/global-value.cc ns-3.47/src/core/model/global-value.cc
--- ns-3.46/src/core/model/global-value.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/global-value.cc	2026-02-16 16:08:49.582229900 -0800
@@ -12,9 +12,6 @@
 #include "fatal-error.h"
 #include "log.h"
 #include "string.h"
-#include "uinteger.h"
-
-#include "ns3/core-config.h"
 
 /**
  * @file
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/heap-scheduler.cc ns-3.47/src/core/model/heap-scheduler.cc
--- ns-3.46/src/core/model/heap-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/heap-scheduler.cc	2026-02-16 16:08:49.583229800 -0800
@@ -11,7 +11,6 @@
 #include "heap-scheduler.h"
 
 #include "assert.h"
-#include "event-impl.h"
 #include "log.h"
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/int64x64-128.cc ns-3.47/src/core/model/int64x64-128.cc
--- ns-3.46/src/core/model/int64x64-128.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/int64x64-128.cc	2026-02-16 16:08:49.583229800 -0800
@@ -6,7 +6,6 @@
 
 #include "int64x64-128.h"
 
-#include "abort.h"
 #include "assert.h"
 #include "log.h"
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/integer.cc ns-3.47/src/core/model/integer.cc
--- ns-3.46/src/core/model/integer.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/integer.cc	2026-02-16 16:08:49.583229800 -0800
@@ -7,7 +7,6 @@
  */
 #include "integer.h"
 
-#include "fatal-error.h"
 #include "log.h"
 
 #include <sstream>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/length.cc ns-3.47/src/core/model/length.cc
--- ns-3.46/src/core/model/length.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/length.cc	2026-02-16 16:08:49.583229800 -0800
@@ -11,18 +11,14 @@
 #include "log.h"
 
 #include <algorithm>
-#include <array>
 #include <cctype>
 #include <cmath>
 #include <functional>
 #include <limits>
-#include <map>
 #include <ratio>
 #include <sstream>
 #include <string>
-#include <type_traits>
 #include <unordered_map>
-#include <vector>
 
 /**
  * @file
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/list-scheduler.cc ns-3.47/src/core/model/list-scheduler.cc
--- ns-3.46/src/core/model/list-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/list-scheduler.cc	2026-02-16 16:08:49.583229800 -0800
@@ -9,11 +9,9 @@
 #include "list-scheduler.h"
 
 #include "assert.h"
-#include "event-impl.h"
 #include "log.h"
 
 #include <string>
-#include <utility>
 
 /**
  * @file
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/log.cc ns-3.47/src/core/model/log.cc
--- ns-3.46/src/core/model/log.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/log.cc	2026-02-16 16:08:49.584229700 -0800
@@ -12,15 +12,10 @@
 #include "fatal-error.h"
 #include "string.h"
 
-#include "ns3/core-config.h"
-
 #include <algorithm> // transform
-#include <cstring>   // strlen
+#include <ctype.h>   // toupper
 #include <iostream>
-#include <list>
-#include <locale> // toupper
 #include <map>
-#include <numeric> // accumulate
 #include <stdexcept>
 #include <utility>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/log.h ns-3.47/src/core/model/log.h
--- ns-3.46/src/core/model/log.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/log.h	2026-02-16 16:08:49.584229700 -0800
@@ -25,6 +25,9 @@
  * @file
  * @ingroup logging
  * Debug message logging
+ *
+ * Included by graph was not generated because of its size.
+ * @hideincludedbygraph
  */
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/log-macros-enabled.h ns-3.47/src/core/model/log-macros-enabled.h
--- ns-3.46/src/core/model/log-macros-enabled.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/log-macros-enabled.h	2026-02-16 16:08:49.584229700 -0800
@@ -189,7 +189,7 @@
  *
  * Output the name of the function.
  *
- * This should be used only in static functions; most member functions
+ * This should be used only in static functions without arguments; most member functions
  * should instead use NS_LOG_FUNCTION().
  */
 #define NS_LOG_FUNCTION_NOARGS()                                                                   \
@@ -221,8 +221,10 @@
  * @endcode
  *
  * To facilitate function tracing, most functions should begin with
- * (at least) NS_LOG_FUNCTION(this).  Static functions should use
- * NS_LOG_FUNCTION_NOARGS() instead.
+ * (at least) NS_LOG_FUNCTION(this).
+ *
+ * Static functions should use NS_LOG_FUNCTION(args) when they have arguments,
+ * and NS_LOG_FUNCTION_NOARGS() when they have no arguments.
  *
  * @param [in] parameters The parameters to output.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/map-scheduler.cc ns-3.47/src/core/model/map-scheduler.cc
--- ns-3.46/src/core/model/map-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/map-scheduler.cc	2026-02-16 16:08:49.584229700 -0800
@@ -10,7 +10,6 @@
 #include "map-scheduler.h"
 
 #include "assert.h"
-#include "event-impl.h"
 #include "log.h"
 
 #include <string>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/names.h ns-3.47/src/core/model/names.h
--- ns-3.46/src/core/model/names.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/names.h	2026-02-16 16:08:49.584229700 -0800
@@ -328,6 +328,8 @@
      *
      * @returns A smart pointer to the named object converted to
      *          the requested type.
+     *
+     * @hidecaller
      */
     template <typename T>
     static Ptr<T> Find(std::string path);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/node-printer.cc ns-3.47/src/core/model/node-printer.cc
--- ns-3.46/src/core/model/node-printer.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/node-printer.cc	2026-02-16 16:08:49.584229700 -0800
@@ -11,8 +11,6 @@
 #include "log.h"
 #include "simulator.h" // GetContext()
 
-#include <iomanip>
-
 /**
  * @file
  * @ingroup simulator
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/object-base.cc ns-3.47/src/core/model/object-base.cc
--- ns-3.46/src/core/model/object-base.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/object-base.cc	2026-02-16 16:08:49.584229700 -0800
@@ -7,15 +7,14 @@
  */
 #include "object-base.h"
 
-#include "assert.h"
+#include "abort.h"
 #include "attribute-construction-list.h"
 #include "environment-variable.h"
+#include "fatal-error.h"
 #include "log.h"
 #include "string.h"
 #include "trace-source-accessor.h"
 
-#include "ns3/core-config.h"
-
 /**
  * @file
  * @ingroup object
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/object.cc ns-3.47/src/core/model/object.cc
--- ns-3.46/src/core/model/object.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/object.cc	2026-02-16 16:08:49.585229900 -0800
@@ -12,12 +12,9 @@
 #include "assert.h"
 #include "attribute.h"
 #include "log.h"
-#include "object-factory.h"
-#include "string.h"
 
 #include <cstdlib>
 #include <cstring>
-#include <sstream>
 #include <vector>
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/object-factory.cc ns-3.47/src/core/model/object-factory.cc
--- ns-3.46/src/core/model/object-factory.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/object-factory.cc	2026-02-16 16:08:49.584229700 -0800
@@ -9,8 +9,6 @@
 
 #include "log.h"
 
-#include <sstream>
-
 /**
  * @file
  * @ingroup object
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/object-factory.h ns-3.47/src/core/model/object-factory.h
--- ns-3.46/src/core/model/object-factory.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/object-factory.h	2026-02-16 16:08:49.584229700 -0800
@@ -174,6 +174,8 @@
  *
  * The args sequence can be made of any number of pairs, each consisting of a
  * name (of std::string type) followed by a value (of const AttributeValue & type).
+ *
+ * @hidecaller
  */
 template <typename T, typename... Args>
 Ptr<T> CreateObjectWithAttributes(Args... args);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/object.h ns-3.47/src/core/model/object.h
--- ns-3.46/src/core/model/object.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/object.h	2026-02-16 16:08:49.585229900 -0800
@@ -73,6 +73,9 @@
  * all its aggregates. The DoDispose() method is always automatically
  * invoked from the Unref() method before destroying the Object,
  * even if the user did not call Dispose() directly.
+ *
+ * Inheritance graph was not generated because of its size.
+ * @hideinheritancegraph
  */
 class Object : public SimpleRefCount<Object, ObjectBase, ObjectDeleter>
 {
@@ -130,7 +133,7 @@
         std::vector<Ptr<Object>>::const_iterator m_uniAggrIter;
     };
 
-    /** Constructor. */
+    /** @hidecaller */
     Object();
     /** Destructor. */
     ~Object() override;
@@ -144,6 +147,7 @@
      * @tparam T \explicit The type of the aggregated Object to retrieve.
      * @returns A pointer to the requested Object, or zero
      *          if it could not be found.
+     * @hidecaller
      */
     template <typename T>
     inline Ptr<T> GetObject() const;
@@ -155,6 +159,7 @@
      * @param [in] tid The TypeId of the requested Object.
      * @returns A pointer to the requested Object with the specified TypeId,
      *          or zero if it could not be found.
+     * @hidecaller
      */
     template <typename T>
     Ptr<T> GetObject(TypeId tid) const;
@@ -301,6 +306,8 @@
      * DoDispose() method.
      *
      * It is safe to call GetObject() from within this method.
+     *
+     * @hidecaller
      */
     virtual void DoDispose();
     /**
@@ -336,12 +343,12 @@
      * This method invoke the copy constructor of the input object
      * and returns the new instance.
      */
-    /**@{*/
     template <typename T>
     friend Ptr<T> CopyObject(Ptr<T> object);
+
+    /** @copydoc CopyObject(Ptr<T>) */
     template <typename T>
     friend Ptr<T> CopyObject(Ptr<const T> object);
-    /**@}*/
 
     /**
      * Set the TypeId and construct all Attributes of an Object.
@@ -613,6 +620,7 @@
  * @tparam T \explicit The type of the derived object to construct.
  * @param [in] args Arguments to pass to the constructor.
  * @return The derived object.
+ * @hidecaller
  */
 template <typename T, typename... Args>
 Ptr<T>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/object-ptr-container.h ns-3.47/src/core/model/object-ptr-container.h
--- ns-3.46/src/core/model/object-ptr-container.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/object-ptr-container.h	2026-02-16 16:08:49.585229900 -0800
@@ -39,8 +39,8 @@
  * @see AttributeValue
  *
  * Call graph was not generated because of its size.
- * @hidecallergraph
  * @hidecallgraph
+ * @hidecaller
  */
 class ObjectPtrContainerValue : public AttributeValue
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/pointer.h ns-3.47/src/core/model/pointer.h
--- ns-3.46/src/core/model/pointer.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/pointer.h	2026-02-16 16:08:49.585229900 -0800
@@ -125,6 +125,7 @@
  * Create a PointerChecker for a type.
  * @tparam T \explicit The underlying type.
  * @returns The PointerChecker.
+ * @hidecaller
  */
 template <typename T>
 Ptr<AttributeChecker> MakePointerChecker();
@@ -257,12 +258,14 @@
  * \fn ns3::Ptr<const ns3::AttributeAccessor> ns3::MakePointerAccessor (T1 a1)
  * @copydoc ns3::MakeAccessorHelper(T1)
  * @see AttributeAccessor
+ * @hidecaller
  */
 /**
  * @ingroup attribute_Pointer
  * \fn ns3::Ptr<const ns3::AttributeAccessor> ns3::MakePointerAccessor (T1 a1, T2 a2)
  * @copydoc ns3::MakeAccessorHelper(T1,T2)
  * @see AttributeAccessor
+ * @hidecaller
  */
 
 template <typename T>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/priority-queue-scheduler.cc ns-3.47/src/core/model/priority-queue-scheduler.cc
--- ns-3.46/src/core/model/priority-queue-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/priority-queue-scheduler.cc	2026-02-16 16:08:49.585229900 -0800
@@ -8,9 +8,6 @@
 
 #include "priority-queue-scheduler.h"
 
-#include "assert.h"
-#include "event-impl.h"
-#include "log-macros-disabled.h"
 #include "log.h"
 #include "scheduler.h"
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/ptr.h ns-3.47/src/core/model/ptr.h
--- ns-3.46/src/core/model/ptr.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/ptr.h	2026-02-16 16:08:49.585229900 -0800
@@ -61,6 +61,9 @@
  * (or ObjectBase) there is also a convenience wrapper Create<>()
  *
  * @tparam T \explicit The type of the underlying object.
+ *
+ * Inheritance graph was not generated because of its size.
+ * @hideinheritancegraph
  */
 template <typename T>
 class Ptr
@@ -95,6 +98,8 @@
      * @tparam U \deduced The actual type of the argument and return pointer.
      * @param [in] p Smart pointer
      * @return The pointer managed by this smart pointer.
+     * @hidecaller
+     * @hideref
      */
     template <typename U>
     friend U* PeekPointer(const Ptr<U>& p);
@@ -233,6 +238,8 @@
  * @tparam Ts \deduced Types of the constructor arguments.
  * @param  [in] args Constructor arguments.
  * @return A Ptr to the newly created \c T.
+ * @hidecaller
+ * @hiderefby
  */
 template <typename T, typename... Ts>
 Ptr<T> Create(Ts&&... args);
@@ -401,6 +408,14 @@
 struct EventMemberImplObjTraits;
 
 /**
+ * @ingroup events
+ * @defgroup makeeventmemptr MakeEvent from class methods.
+ *
+ * Create EventImpl instances from class member methods which take
+ * varying numbers of arguments.
+ */
+
+/**
  * @ingroup makeeventmemptr
  * Helper for the MakeEvent functions which take a class method.
  *
@@ -580,6 +595,11 @@
     return Ptr<T1>(const_cast<T1*>(PeekPointer(p)));
 }
 
+/**
+ * @copydoc ConstCast()
+ * @hidecaller
+ * @hiderefby
+ */
 template <typename T1, typename T2>
 Ptr<T1>
 DynamicCast(const Ptr<T2>& p)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/core/model/random-variable-stream.cc ns-3.47/src/core/model/random-variable-stream.cc
--- ns-3.46/src/core/model/random-variable-stream.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/core/model/random-variable-stream.cc	2026-02-16 16:08:49.585229900 -0800
@@ -22,9 +22,7 @@
 #include "rng-seed-manager.h"
 #include "rng-stream.h"
 #include "string.h"
-#include "uinteger.h"
 
-#include <algorithm> // upper_bound
 #include <cmath>
 #include <iostream>
 #include <numbers>
@@ -687,6 +685,12 @@
     NS_LOG_FUNCTION(this);
 }
 
+void
+NormalRandomVariable::SetStdDev(double stdDev)
+{
+    m_variance = stdDev * stdDev;
+}
+
 double
 NormalRandomVariable::GetMean() const
 {
@@ -700,6 +704,12 @@
 }
 
 double
+NormalRandomVariable::GetStdDev() const
+{
+    return sqrt(m_variance);
+}
+
+double
 NormalRandomVariable::GetBound() const
 {
     return m_bound;
